## com.vividsolutions.jts.noding
Interface Noder

All Known Implementing Classes:
  IteratedNoder, MCIndexSnapRounder, ScaledNoder, SimpleSnapRounder, SinglePassNoder

public interface Noder

Computes all intersections between segments in a set of `SegmentString`s. Intersections found are represented as `SegmentNode`s and added to the `SegmentString`s in which they occur. As a final step in the noding a new set of segment strings split at the nodes may be returned.

Version:
  1.7

Method Summary
`void` `computeNodes(java.util.Collection segStrings)` Computes the noding for a collection of `SegmentString`s.
`java.util.Collection` `getNodedSubstrings()` Returns a `Collection` of fully noded `SegmentStrings`.

Method Detail

### computeNodes

    public void computeNodes(java.util.Collection segStrings)

  Computes the noding for a collection of `SegmentString`s. Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

  Parameters:
    `segStrings` - a collection of `SegmentString`s to node

### getNodedSubstrings

    public java.util.Collection getNodedSubstrings()

  Returns a `Collection` of fully noded `SegmentStrings`. The SegmentStrings have the same context as their parent.

  Returns:
    a Collection of SegmentStrings